/* Reset and base styles  */
* {
  padding: 0px;
  margin: 0px;
  border: none;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Links */
a {
  color: var(--dark-teal);
}

a,
a:link,
a:visited {
  text-decoration: none;
}

a:hover {
  text-decoration: none;
  color: var(--dark-teal-light);
}

/* Common */

aside,
nav,
footer,
header,
section,
main {
  display: block;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  font-size: inherit;
  font-weight: inherit;
}

ul,
ul li {
  list-style: none;
}

img {
  vertical-align: top;
}

img,
svg {
  max-width: 100%;
  height: auto;
}

address {
  font-style: normal;
}

/* Form */

input,
textarea,
button,
select {
  font-family: inherit;
  font-size: inherit;
  color: inherit;
  background-color: transparent;
}

input::-ms-clear {
  display: none;
}

button,
input[type="submit"] {
  display: inline-block;
  box-shadow: none;
  background-color: transparent;
  background: none;
  cursor: pointer;
}

input:focus,
input:active,
button:focus,
button:active {
  outline: none;
}

button::-moz-focus-inner {
  padding: 0;
  border: 0;
}

label {
  cursor: pointer;
}

legend {
  display: block;
}

input[type="file"] {
  max-width: 100%;
}
html,
body {
  min-width: 100vw;
  min-height: 100vh;
}
body {
  display: flex;
  flex-direction: column;
  font-family: "Cormorant Unicase", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 18px;
  overflow-x: hidden;
  /* padding-bottom: 130px; */
}
main {
  flex-grow: 1;
}
main > * {
  margin-top: 25px;
}
.denon{
  display: none;
}
.notEvent{
  pointer-events: none;
}
.home-text-section p{
  margin-bottom: 20px;
}
.basket {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  width: 300px;
  background-color: white;
  z-index: 4;
  border-radius: 35px 0 0 35px;
  box-shadow: -12px 0 10px rgba(0 0 0 / 20%);
  transform: translateX(320px);
  transition: transform 300ms;
}
.basket.active {
  transform: translateX(0);
}
.basket__relative {
  width: 100%;
  height: 100%;
  position: relative;
  padding: 10px;
  display: flex;
  flex-direction: column;
}
.basket__header {
  text-align: center;
}
.basket__product-list-break {
  flex-grow: 1;
  width: 100%;
  height: calc(100vh - (10px + 39px + 134px + 10px));
  overflow-y: hidden;
  position: relative;
}
.basket__product-list-break::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  z-index: 1;
  height: 20px;
  background-image: linear-gradient(
    to top,
    rgba(255, 255, 255, 0),
    rgba(255, 255, 255, 1)
  );
}
.basket__product-list-break::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1;
  height: 20px;
  background-image: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0),
    rgba(255, 255, 255, 1)
  );
}
.basket__product-list {
  --transform : 0px;
  transform: translateY(var(--transform));
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 10px 0;
}
.basket__product-list.transition{
  transition: transform 300ms;
}
.basket__product-list-item {
  /* margin: 10px 0; */
}
.basket__product {
  display: flex;
  gap: 2%;
  overflow: hidden;
}
.basket__product-image {
  border-radius: 20px 0 20px 0;
  width: 20%;
}
.basket__product-service {
  width: 78%;
  display: flex;
  flex-wrap: wrap;
}
.basket__product-name {
  width: 100%;
  text-wrap: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.basket__product-count {
  width: 40%;
}
.basket__product-count-control {
  width: 59%;
  display: flex;
  gap: 6px;
}
.basket__product-button {
  width: 26px;
  height: 26px;
  box-shadow: 0 0 5px rgba(0 0 0 / 20%);
  border-radius: 10px 0 10px 0;
  display: flex;
  align-items: center;
  justify-content: center;
}
.basket__product-button > img {
  width: 15px;
  height: 15px;
}
.basket__control {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}
.basket__desc {
  width: 100%;
  margin: 5px 0;
}
.basket__control-button {
  margin: 10px 0;
  width: 70%;
  height: 50px;
  box-shadow: 0 0 10px rgba(0 0 0 / 20%);
  border-radius: 10px 0 10px 0;
  background-color: var(--pink-lace);
}
.basket__control-button.notActive{
  pointer-events: none;
  background-color: lightgray;
}
.basket__product-input{
  width: 26px;
  height: 26px;
  text-align: center;
}
.basket-count{
  display: flex;
  align-items: center;
  justify-content: center;
  /* background-color: black; */
  border-radius: 50%;
  width: 12px;
  height: 12px;
  position: absolute;
  top: 0px;
  right: 0px;
  color: white;
  text-shadow: 0 0 10px black;
  font-size: 32px;
  font-weight: 700;
}
.plus-button::before{
  content: '';    
  display: block;    
  background-image: url('/resource/images/plus.svg');    
  background-size: contain; /* Масштабируем SVG */    
  width: 50%;    
  height: 50%;
}
.minus-button::before{
  content: '';    
  display: block;    
  background-image: url('/resource/images/minus.svg');    
  background-size: contain; /* Масштабируем SVG */    
  width: 50%;    
  height: 50%;
}
.minus-button.rem::before{
  content: '';    
  display: block;    
  background-image: url('/resource/images/remove.svg');    
  background-size: contain; /* Масштабируем SVG */    
  width: 70%;    
  height: 70%;
}
.isBasketButton{
  position: relative;
}
.isBasketButton.has::before{
  content: attr(data-basket-button);
  display: flex;
  align-items: center;
  justify-content: center;
  width: 20px;
  height: 20px;
  position: absolute;
  right: 10px;
  top: -10px;
  z-index: 2;
  background-image: url('/resource/images/flower-basket.svg');
  background-size: contain;
  color: black;
  font-size: 20px;
  font-weight: bold;
  @media screen and (width >= 480px){
    right: 0;
    top: 0;
  }
}
.isBasketButton.has::after{
  content: '';
  display: block;
  width: 15px;
  height: 15px;
  position: absolute;
  right: 12px;
  top: -8px;
  background-color: var(--pink-lace);
  border-radius: 50%;
  @media screen and (width >= 480px){
    right: 2px;
    top: 2px;
  }
}
.bread-crumbs{

}
.bread-crumbs-list{
  display: flex;
  flex-wrap: wrap;
}
.bread-crumbs-item:after{
    margin: 0px 5px;
    content: '/';
}
.bread-crumbs-item:last-child:after{
  margin: unset;
  content: unset;
}
.category-control {
  position: fixed;
  bottom: 80px;
  right: 0;
  background-color: white;
  padding: 12px 6px;
  border-radius: 10px 0 0 10px;
  box-shadow: 0 0 10px rgba(0 0 0/20%);
  z-index: 3;
  transition: transform 300ms;
  @media screen and (width>=480px) {
    position: unset;
    bottom: unset;
    right: unset;
    background-color: unset;
    padding: unset;
    border-radius: unset;
    box-shadow: unset;
  }
}
.category-control__list {
  display: flex;
  flex-direction: column;
  gap: 12px;
  @media screen and (width>=480px) {
    flex-direction: row;
  }
}
.category-control__list-item {
  display: flex;
  align-items: center;
  justify-content: center;
}
.category-control__button {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.category-control__button-img {
  width: 30px;
  height: 30px;
}
.category-control__button-desc {
  font-size: 10px;
  margin-top: 6px;
}
.category-control.startTransform{
  position: fixed;
  background-color: white;
  box-shadow: 0 0 10px rgba(0 0 0/20%);
  z-index: 2;
  top: 0;
  transition: transform 400ms, left 400ms;
}
.category-control.leftTransform{
  padding: 12px 6px;
  border-radius: 0 10px 10px 0;
  transform: translateY(40px) translateX(-75px);
  @media screen and (width >= 1440px) {
    border-radius:10px;
  }
}
.category-control.leftTransform > .category-control__list{
  transition: flex-direction 400ms;
  flex-direction: column;
}
.category-control.topTransform{
  --left: 0px;
  /* left: 50%; */
  padding: 12px 50px;
  border-radius: 0 0 10px 10px;
  transform: translateY(0px) translateX(var(--left));
}
.category-control.topTransform li{
  margin: 0 10px;
}

.category-modul{

}
.category-modul-list{
  margin-top: 10px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  gap: 10px;
  @media screen and (width >= 600px){
    justify-content: start;
    gap: calc((100% - (30%*3))/2);
  }
  @media screen and (width >= 1080px){
    gap: 10px;
  }
}
.category-modul-item{
  width: 45%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  @media screen and (width >= 600px){
    width: 30%;
    margin-bottom: calc((100% - (30%*3))/3);
  }
  @media screen and (width >= 1080px){
    width: 15%;
    margin-bottom: unset;
  }
  @media screen and (width >= 1320px){
    width: 13%;
  }
  @media screen and (width >= 1440px){
    width: 11%;
  }
}
.category-modul-image{
  border-radius: 40px 0px;
}
.category-modul-link{

}
.contacts-background{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 20;
    /* display: flex; */
    /* align-items: center;  */
    justify-content: end;
    display: none; 
}
.contacts-background.CB--active{
    display: flex;
}
.contacts-body{
    width: 300px;
    height: 100vh;
    position: fixed;
    /* overflow-x: scroll; */
    background-color: white;
    border-radius:  20px 0 0 20px;
    box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.4);
    padding: 20px;
    display: flex;
    flex-direction: column;
    transform: translateX(320px);
    transition: transform 300ms;
    /* gap: 10px; */
    @media screen and (width >= 680px) {
        width: 360px;
        transform: translateX(380px);
    }
    @media screen and (width >= 920px) {
        width: 420px;
        transform: translateX(440px);
    }
    @media screen and (width >= 1280px) {
        width: 600px;
        transform: translateX(620px);
    }
}
.contacts-body.CB--active{
    transform: translateX(0px);
}
.contacts-header{
    text-align: center;
}
.contacts-body h3{
    font-size: 20px;
}
.contacts-body > *{
    width: 100%;
}
.contacts-map{
    flex-grow: 1;
    overflow: hidden;
    border-radius: 10px;
    padding: 10px 0;
}
.contacts-group-container{
    display: flex;
    flex-direction: column;
    @media screen and (width >= 1280px) {
        flex-direction: row;
        justify-content: space-around;
        /* gap: 20px; */
    }
}
.contacts-link-container{
    display: flex;
    gap: 10px;
}
.contacts-link{
    width: 50px;
    height: 50px;
}
.contacts-tel-container{
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translateX(-50%);
/*     width: fit-content; */
/*     height: fit-content; */
    background-color: white;
    border-radius: 20px;
  width: 90%;
  height: 120px;
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.4);
}
.contacts-tel-rel{
  width: 100%;
  height: 100%;
    position: relative;
    display: flex;
  align-items: center;
  justify-content: center;
}
.contacts-tel-text{

}
.contacts-tel-close-button{
    position: absolute;
    top: 10px;
    right: 10px;
    width: 20px;
    height: 20px;
}
.contacts-tel-close-button > img{
    width: 90%;
}
.curtain {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 3;
  display: none;
}
.curtain.active {
  display: unset;
  backdrop-filter: blur(2px);
  animation-name: open-curtain;
  animation-duration: 300ms;
  animation-fill-mode: forwards;
}
.curtain.no-active {
  backdrop-filter: blur(2px);
  animation-name: open-curtain;
  animation-duration: 300ms;
  animation-fill-mode: forwards;
  animation-direction: reverse;
}
@keyframes open-curtain {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

body.error{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.error-mimik{
    font-size: 24vw;
}
.error-header{

}
.error-text{
    margin-top: 20px;
    font-size: 30px;
}
.filter {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  width: 300px;
  background-color: white;
  z-index: 4;
  padding: 10px;
  border-radius: 0 35px 35px 0;
  box-shadow: 12px 0 10px rgba(0 0 0 / 20%);
  transform: translateX(-320px);
  transition: transform 200ms;
  display: flex;
  flex-direction: column;
  will-change: transform;
}
.filter.active {
  transform: translateX(0);
}
.filter__header-box {
  display: flex;
  align-items: center;
  justify-content: space-around;
}
.filter__header {
  /* text-align: center; */
}
.filter__close-button {
  display: block;
  width: 20px;
  height: 20px;
}
.filter__price-box {
  display: flex;
  flex-wrap: wrap;
  margin-top: 10px;
}
.filter h3 {
  font-size: 24px;
  width: 100%;
}
.filter__price-box-section {
  position: relative;
  width: 49%;
  display: flex;
  flex-direction: column;
}
.filter__price-box-section::after {
  content: "";
  position: absolute;
  bottom: 11%;
  left: 0;
  right: 0;
  border: 1px solid rgba(0 0 0 / 20%);
  z-index: -1;
}
.filter__range {
  appearance: none;
  outline: none;
  cursor: pointer;
}
input[type="range"]::-webkit-slider-thumb {
  appearance: none;
  width: 20px;
  height: 20px;
  background: white;
  border: 1px solid black;
  border-radius: 50%;
  cursor: pointer;
  /* position: relative;
  z-index: 1; */
}
input[type="range"]::-moz-range-thumb {
  appearance: none;
  width: 20px;
  height: 20px;
  background: white;
  border: 1px solid black;
  border-radius: 50%;
  cursor: pointer;
}
input[type="range"]::-ms-thumb {
  appearance: none;
  width: 20px;
  height: 20px;
  background: white;
  border: 1px solid black;
  border-radius: 50%;
  cursor: pointer;
}
.filter_number {
  border-bottom: 1px solid rgba(0 0 0 / 20%);
  width: 60%;
  text-align: center;
  padding-bottom: 5px;
  margin: 20px auto;
  font-size: 24px;
}
.filter__components-box {
  margin-top: 10px;
  height: calc(100% - 245px);
  flex-grow: 1;
  /* flex-shrink: 1; */
  /* max-height: 60%; */
}
.filter__components-box-list-break {
  width: 100%;
  height: calc(100% - 29px);
  position: relative;
  overflow: hidden;
}
.filter__unselect{
  width: 100%;
  height: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.filter__unselect-button{
  width: 70%;
  height: 50px;
  border-radius:  25px 0 25px 0;
  background-color: lightgrey;
  pointer-events: none; /* Дополнительно запретим клики на кнопку */
  cursor: not-allowed; /* Меняем курсор на запрещённый символ */
}
.filter__unselect-button.active{
  background-color: var(--pink-lace);
  pointer-events: unset;
  cursor: pointer;
}
.filter__components-box-list-break::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  height: 10px;
  z-index: 1;
  background-image: linear-gradient(
    to top,
    rgba(255, 255, 255, 0),
    rgba(255, 255, 255, 1)
  );
}
.filter__components-box-list-break::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  height: 20px;
  z-index: 1;
  background-image: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0),
    rgba(255, 255, 255, 1)
  );
}
.filter__components-box-list {
  margin-left: 10px;
  transform: translateY(0);
  will-change: transform;
}
.filter__components-box-list--transition {
  transition: transform 300ms;
}
.filter__components-box-list-item {
  padding: 5px 0;
  margin: 5px 0;
  display: flex;
  cursor: pointer;
  transition: border 300ms;
}

.filter__components-box-checkbox {
  display: block;
  min-width: 20px;
  width: 20px;
  height: 20px;
  border: 1px solid rgba(0 0 0 / 20%);
  border-radius: 50%;
  margin-right: 10px;
  transition: border 100ms;
}
.filter__components-box-checkbox.active {
  background-color: var(--pink-lace);
  display: flex;
  align-items: center;
  justify-content: center;
}
.filter__components-box-checkbox.active::before {
  content: "";
  display: block;
  width: 10px;
  height: 10px;
  background-image: url("/resource/images/check.svg");
}
.filter__components-box-list-item:hover .filter__components-box-checkbox {
  border: 1px solid rgba(244, 115, 248, 0.2);
}
.filter__components-box-title {
}
.price-block {
  display: none;
}
.components-block {
  display: none;
}
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  /* Fix for IE/Edge */
  #minRange::-ms-track {
    width: 100%;
    cursor: pointer;
  }

  #maxRange::-ms-track {
    width: 100%;
    cursor: pointer;
  }
}
@media screen and (width >= 1280px) {
  .filter__components-box-list-item:hover .filter__components-box-checkbox {
    border-color: rgb(250, 110, 133);
  }
}

.firefly{
    --top: unset;
    --left: unset;
    --width: 50px;
    --bg: unset;
    position: absolute;
    top: var(--top);
    left: var(--left);
    width: calc(var(--width)/1.6);
    height: calc(var(--width)/1.6);
    /* background-image: linear-gradient(circle at center, var(--bg), rgba(255,0,0,0)); */
    background-image: radial-gradient(circle at center, var(--bg), rgba(255,0,0,0));
    border-radius: 50%;
    z-index: -1;
    transform: translateX(0px) translateY(0px) scale(0);
    @media screen and (width >= 480px){
        --width: 30px;
    }
}
.firefly.first-firefly-animation{
    animation-name: first-firefly;
    animation-duration: 5000ms;
    animation-iteration-count: infinite;
    animation-timing-function: leaner;
}
.firefly.second-firefly-animation{
    animation-name: second-firefly;
    animation-duration: 4800ms;
    animation-iteration-count: infinite;
    animation-timing-function: leaner;
}
.firefly.third-firefly-animation{
    animation-name: third-firefly;
    animation-duration: 5300ms;
    animation-iteration-count: infinite;
    animation-timing-function: leaner;
}
.firefly.fored-firefly-animation{
    animation-name: fored-firefly;
    animation-duration: 4500ms;
    animation-iteration-count: infinite;
    animation-timing-function: leaner;
}
@keyframes first-firefly {
    0%{
        transform: translateX(0px) translateY(0px) scale(1);
    }
    25%{
        transform: translateX(0px) translateY(2px) scale(1.4);
    }
    50%{
        transform: translateX(2px) translateY(2px) scale(1.2);
    }
    75%{
        transform: translateX(2px) translateY(0px) scale(1.4);
    }
    100%{
        transform: translateX(0px) translateY(0px) scale(1);
    }
}
@keyframes second-firefly {
    0%{
        transform: translateX(0px) translateY(0px) scale(1);
    }
    25%{
        transform: translateX(2px) translateY(0px) scale(1.2);
    }
    50%{
        transform: translateX(2px) translateY(-2px) scale(1.2);
    }
    75%{
        transform: translateX(0px) translateY(-2px) scale(1.1);
    }
    100%{
        transform: translateX(0px) translateY(0px) scale(1);
    }
}
@keyframes third-firefly {
    0%{
        transform: translateX(0px) translateY(0px) scale(1);
    }
    25%{
        transform: translateX(-2px) translateY(0px) scale(1.3);
    }
    50%{
        transform: translateX(-2px) translateY(2px) scale(1.4);
    }
    75%{
        transform: translateX(0px) translateY(2px) scale(1.3);
    }
    100%{
        transform: translateX(0px) translateY(0px) scale(1);
    }
}
@keyframes fored-firefly {
    0%{
        transform: translateX(0px) translateY(0px) scale(1);
    }
    25%{
        transform: translateX(0px) translateY(-2px) scale(1.1);
    }
    50%{
        transform: translateX(-2px) translateY(-2px) scale(1.2);
    }
    75%{
        transform: translateX(-2px) translateY(0px) scale(1.1);
    }
    100%{
        transform: translateX(0px) translateY(0px) scale(1);
    }
}
footer {
  padding: 40px 0;
  background-color: var(--footer-background);
  margin-bottom: 55px;
  @media screen and (width >= 480px) {
    margin-bottom: unset;
    padding: 10px 0;
  }
}
footer p {
  font-size: 24px;
  font-weight: 500;
  color: white;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 700;
}
h1 {
  font-size: 2em;
}
h2 {
  font-size: 1.8em;
}
h3 {
  font-size: 1.6em;
}
h4 {
  font-size: 1.4em;
}
h5 {
  font-size: 1.2em;
}
h6 {
  font-size: 1em;
}
h1.product-header {
  font-size: 24px;
}
.service-header {
  position: absolute;
  left: -200vw;
}

header {
  display: none;
  border-radius: 0 0 15px 15px;
  box-shadow: 0 2px 10px rgba(0 0 0 / 20%);
  @media screen and (width >= 480px) {
    display: unset;
  }
}
.header {
  min-height: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.header__link {
  display: block;
  width: 200px;
  padding: 20px 0;
  margin: 0 auto;
}

.isLoading{
    animation-name: flower-rotate;
    animation-duration: 3000ms;
    animation-iteration-count: infinite;
}
@keyframes flower-rotate{
    from{
        transform: rotate(0deg);
    }
    to{
        transform: rotate(360deg);
    }
}
.imageWorkerBack{
    position: fixed;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    z-index: 20;
    background-color: rgba(255,255,255, 97%);
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}
.imageWorkerTin{
    width: auto;
    height: 90%;
    border-radius: 30px;
    overflow: hidden;
}
.imageWorkerList{
    width: 100%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.imageWorkerListItem{
    width: 100px;
    height: 100px;
    border-radius: 10px;
    overflow: hidden;
    opacity: 0.5;
    cursor: pointer;
}
.imageWorkerListItem:hover{
    opacity: 0.7;
}
.imageWorkerListItem.IWLI--active{
    opacity: 1;
}
.imageWorkerListRest{
    width: 100px;
    height: 90%;
}
.imageWorkerMainImage{
    width: 100%;
    height: 100%;
}
.imageWorkerSecondImage{
    width: 100%;
    height: 100%;
}
.mobile-menu {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: white;
  height: 65px;
  box-shadow: 0 -2px 10px rgba(0 0 0 / 20%);
  border-radius: 15px 15px 0 0;
  z-index: 2;
  @media screen and (width >= 480px) {
    display: none;
  }
}
.mobile-menu__list {
  display: flex;
  height: 100%;
  align-items: center;
  justify-content: space-around;
}
.mobile-menu__list-item {
  width: 50px;
  height: 30px;
}
.mobile-menu__button {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  position: relative;
  @media screen and (width >= 480px) {
    width: 30px;
    height: 30px;
    margin: 0 auto;
  }
  @media screen and (width >= 1080px) {
    margin: 0 8px;
  }
}
.mobile-menu__img {
  width: 100%;
  height: 100%;
}
.mobile-menu__desc {
  font-size: 10px;
  margin-top: 3px;
  @media screen and (width >= 480px) {
    display: none;
  }
}

.navigation {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  width: 250px;
  background-color: white;
  z-index: 4;
  padding: 10px;
  border-radius: 0 35px 35px 0;
  box-shadow: 12px 0 10px rgba(0 0 0 / 20%);
  transform: translateX(-450px);
  transition: transform 300ms;
}
.navigation.active {
  transform: translateX(0);
}
.navigation_relative {
  position: relative;
}
.navigation__header {
  text-align: center;
}
.navigation__list-break {
  width: 100%;
  height: calc(100vh - 59px);
}
.navigation__list {
}
.navigation__list-item {
}
.navigation__link {
  display: block;
  padding: 5px;
  margin: 5px 0;
}
.navigation__button_container {
  position: absolute;
  bottom: 100px;
  right: -60px;
  width: 50px;
  height: 50px;
  background-color: white;
  z-index: -2;
  box-shadow: 12px 0 10px rgba(0 0 0 / 20%);
  border-radius: 0 10px 10px 0;
  @media screen and (width >= 480px) {
    bottom: unset;
    top: 20px;
  }
}
.navigation__close_button {
  display: block;
  width: 100%;
  height: 100%;
}
.navigation__close_button > img {
  width: 30px;
  height: 30px;
}

.order{
    position: fixed;
    width: 100vw;
    height: 100vh;
    z-index: 30;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(0 0 0 / 70%);
}
.order.hidden{
    display: none;
}
.order.hidden.start{
    display: flex;
}
.order.end .order-body{
    animation-name: order-start;
    animation-duration: 300ms;
    animation-fill-mode: forwards;
    animation-direction: reverse;
}
.order-body{
    position: fixed;
    width: 95%;
    height: 95%;
    background-color: white;
    box-shadow: 0px 0px 10px rgba(0 0 0 /70%);
    padding: 10px;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    gap: 15px;
    overflow: hidden;
    @media screen and (width >= 800px) and (orientation: landscape){
        flex-direction: row;
        flex-wrap: wrap;
        align-content: start;
      justify-content: space-around;
    }
  @media screen and (width >= 1280px){
    height: fit-content;
    padding-bottom: 20px;
  }
}
.order.hidden.start .order-body{
    animation-name: order-start;
    animation-duration: 300ms;
    animation-fill-mode: forwards;
}
.order-scroll{
    --y: '0px';
    height: fit-content;
    transform: translateY(var(--y));
    display: flex;
    flex-direction: column;
    gap: 15px;
    @media screen and (width >= 800px) and (orientation: landscape){
        flex-direction: row;
        flex-wrap: wrap;
        align-content: start;
      justify-content: space-around;
    }
  @media screen and (width >= 1280px){
    height: fit-content;
    padding-bottom: 20px;
  }
}
.order-scroll.transition{
    transition: transform 300ms;
}
.order-header{
    font-size: 29px;
    text-align: center;
    width: 100%;
    background-color: white;
    position: relative;
    z-index: 2;
}
.order-close-button{
    position: absolute;
    top: 15px;
    right: 15px;
    width: 30px;
    height: 15px;
    z-index: 3;
    display: flex;
    align-items: center;
    justify-content: center;
}
.order-close-button > img{
    width: 90%;
    height: auto;
}
.order-section{
    box-shadow: 0px 0px 10px rgba(0 0 0 / 20%);
    padding: 10px;
    border-radius: 20px;
  @media screen and (width >= 800px) and (orientation: landscape){
      width: 31%;
    }
}
.order-sendler-recipient{

}
.order-subheader{
    font-size: 25px;
}
.order-self-pecipient{
  margin-top: 10px;
    display: flex;
    align-items: center;
    gap:10px;
}
.order-self-check-box{
    display: flex;
    width: 16px;
    height: 16px;
    border: 1px solid rgba(0 0 0 / 20%);
    border-radius: 4px;
    cursor: pointer;
}
.order-self-check-box[data-active="0"]{

}
.order-self-check-box[data-active="1"]{
  justify-content: center;
  align-items: center;
}
.order-self-check-box[data-active="1"]::after{
  content: '';
  display: block;
  width: 8px;
  height: 8px;
  border-radius: 2px;
  background-color: var(--pink-lace);
}
.order-self-text{
    display: block;
    font-size: 15px;
}
.order-input-group{
  margin:5px 0px;
}
.order-input{
    width: 100%;
    height: 25px;
    border-bottom: 1px solid rgba(0 0 0 / 20%);
}
.order-input[data-error='1']{
  color: red;
  border-bottom: 1px solid red;
}
.order-label{
    font-size: 12px;
    display: flex;
  margin-top: 5px;
}
.order-label > span{
    display: flex;
    gap: 6px;
    width: 100%;
}
.order-label > span::after{
    content: '';
    display: block;
    width: 12px;
    height: 12px;
    background-image: url('/resource/images/undo.svg');
    transform: rotate(90deg);
}
.order-slpiter{
    border-bottom: 1px dotted rgba(0 0 0 / 20%);
    margin: 40px 0px 20px 0px;
}
.order-light-splitter{
  margin: 10px 0px;
  border-bottom: 1px solid rgba(0 0 0 / 20%);
}
.order-clarity-header{
    margin-top: 20px;
    font-size: 17px
}
.order-checkbox-container{
    margin-top: 10px;
    display: flex;
    gap: 10px
}
.order-checkbox-group{
  display: flex;
  gap: 5px;
}
.order-info{
    margin-top: 10px;
    display: flex;
    gap: 10px;
    padding: 10px 5px;
    background-color: rgba(0 0 0 / 7%);
    border-radius: 12px 0px;
}
.order-info-img{
    width: 20px;
}
.order-info-text{
    font-size: 15px;
}
.order-data-text{
    font-size: 15px;
    margin-top: 10px;
    display: flex;
    justify-content: space-between;
}
.order-data-text-strong{
  font-weight: bold;
  font-size: 20px;
  display: flex;
  justify-content: space-between;
}
.order-button-container{
  margin-top: 16px;
  display: flex;
  justify-content: center;
}
.order-button{
  background-color: var(--pink-lace);
  padding: 10px 60px;
  border-radius: 7px 0px;
}
.order-wrapper{
  position: relative;
}
.order-block-section{
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(255 255 255 / 70%);
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: center;
}
.order-block-section[data-active="0"]{
  display: none;
  pointer-events: none;
}
.order-block-section[data-active="1"]{
  display: flex;
}
.order-block-section > img{
  width: 30%;
}
.order-accept-window{
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translateX(-50%);
  width: 300px;
  height: 150px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 10px;
  background-color: white;
  box-shadow: 0px 0px 10px rgba(0 0 0 / 40%);
  border-radius: 20px;
}
.order-accept-window > img{
  height: 40%;
}
@keyframes order-start {
    from{
        transform: scale(0);
    }to{
        transform: scale(1);
    }
}

.product-box {
  @media screen and (width >= 840px) {
    display: flex;
  }
}
.product-box__left-column {
  @media screen and (width >= 840px) {
    width: 59%;
  }
}
.product-box__images-container {
  display: flex;
  flex-direction: column;
  gap: 12px;
  @media screen and (width >= 720px) {
    flex-direction: row;
  }
}
.product-box__visor {
  overflow-x: hidden;
  @media screen and (width >= 480px) {
      border-radius: 30px;
  }
  @media screen and (width >= 720px) {
    order: 2;
    width: 80%;
    height: auto;
  }
}
.product-box__minify {
  --left-column-width: unset;
  position: relative;
  overflow-x: hidden;
  @media screen and (width >= 720px) {
    overflow-x: unset;
    overflow-y: hidden;
    /* display: flex;
    align-items: center;
    justify-content: center; */
    height: calc(var(--720) * 0.8);
  }
  @media screen and (width >= 840px) {
    max-height: unset;
    --left-column-width: var(--840);
    height: calc((var(--left-column-width) * 0.59) * 0.8);
  }
  @media screen and (width >= 960px) {
    --left-column-width: var(--960);
  }
  @media screen and (width >= 1080px) {
    --left-column-width: var(--1080);
  }
  @media screen and (width >= 1200px) {
    --left-column-width: var(--1200);
  }
  @media screen and (width >= 1320px) {
    --left-column-width: var(--1320);
  }
  @media screen and (width >= 1440px) {
    --left-column-width: var(--1440);
  }
}
.product-box__main-image-list {
  --tfm: 0px;
  display: flex;
  transform: translateX(var(--tfm));
}
.product-box__main-image-list-item {
  min-width: 100%;

}
.product-box__main-image-list-image {
}
.product-box__second-image-list {
  display: flex;
  flex-direction: row;
  width: fit-content;
  --tfm: -6px;
  transform: translateX(var(--tfm));
  /* @media screen and (width >= 480px) {
    transform: translateY(var(--tfm));
  } */
  @media screen and (width >= 720px) {
    flex-direction: column;
    transform: translateX(0px) translateY(var(--tfm));
  }
}
.product-box__second-image-list-item {
  min-width: 60px;
  max-width: 60px;
  min-height: 60px;
  max-height: 60px;
  border-radius: 20px 0 20px 0;
  overflow: hidden;
  margin: 0 6px;
  opacity: 0.5;
  cursor: pointer;
  @media screen and (width >= 720px) {
    flex-direction: row;
    margin: 6px 0;
    order: 1;
  }
}
.product-box__second-image-list-item:hover {
  opacity: 0.7;
  /*border: 1px solid var(--dark-teal-light);*/
}
.product-box__second-image-list-item.product-box__second-image-list-item--active {
  opacity: 1;
  /*border: 1px solid var(--dark-teal);*/
}
.product-box__second-image-list-image {
  width: 100%;
}
.product-box__right-column {
  margin-top: 20px;
  margin-left: 10px;
  margin-right: 10px;
  @media screen and (width >= 720px) {
    width: 80%;
    margin: 0 auto;
  }
  @media screen and (width >= 840px) {
    width: 40%;
    margin-top: unset;
    margin-left: unset;
    margin-right: unset;
  }
}
.product-box__right-column > * {
  margin-bottom: 12px;
}
.product-box__price-box {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.product-box__price-control {
  background-color: var(--dark-brown);
  margin-left: 10px;
  border-radius: 30px;
  display: flex;
  @media screen and (width >= 840px) {
    margin-left: unset;
  }
}
/* .product-box__price-control > * {
  width: 60px;
  height: 60px;
  font-size: 32px;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
} */
.product-box__price-control-button {
  width: 50%;
  height: 58px;
  background-color: var(--pink-lace);
  border-radius: 15px 0 15px 0;
}
.product-box__price-control-button.PCB--active{
  background-color: rgba(34, 139, 34, 0.78);
}
.product-box__price-control-button > img{
  width: 20px;
  height: 20px;
  margin-right: 10px;
}
.product-box__price {
  font-size: 48px;
  font-weight: 600;
  margin-right: 10px;
  @media screen and (width >= 840px) {
    margin-right: unset;
  }
}
.product-box__size-box {
}
.product-box__size-box-header,
.product-box__components-header,
.desc-box__header {
  font-weight: 700;
  /* margin-bottom: 12px; */
}
.product-box__size-box-list,
.product-box__components-list {
  margin-left: 10px;
}
.product-box__size-box-list-item,
.product-box__components-list-item {
  margin: 10px 0;
  display: flex;
  align-items: center;
  gap: 10px;
}
.product-box__size-box-list-item-img {
  width: 20px;
  height: 20px;
}
.desc-box__text {
  margin-top: 10px;
  margin-left: 10px;
}
.transition300{
  transition: transform 300ms;
}
.stopEvent{
  pointer-events: none;
}
@media screen and (width < 720px) {
  .product-box__minify::after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    width: 20px;
    background-image: linear-gradient(to right, rgba(255, 255, 255, 0), white);
  }
}
@media screen and (width >= 720px) {
  .product-box__minify::after {
    content: "";
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 20px;
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0), white);
  }
}

.product-container {
}
.product-container__list {
  --item-in-line: 2;
  --list-width: 100%;
  display: flex;
  flex-wrap: wrap;
  width: var(--list-width);
  @media screen and (width >= 840px) {
    --item-in-line: 3;
  }
  @media screen and (width >= 1080px) {
    --item-in-line: 4;
  }
}
.product-container__list-item {
  --width: calc(var(--list-width) / var(--item-in-line) - 20px);
  --margin-width: calc(
    (var(--list-width) - (var(--width) * var(--item-in-line))) /
      (var(--item-in-line) * 2)
  );
  width: var(--width);
  margin: 12px var(--margin-width);
}
.product-container__article {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.product-container__article-visor {
  width: 100%;
  aspect-ratio: 1 / 1;
  --radius: calc(100% / 4);
  overflow-x: hidden;
  border-radius: var(--radius) 0 var(--radius) 0;
  position: relative;
}
.product-container__article-list {
  display: flex;
  position: relative;
  width: 100%;
  height: 100%;
  /* transform: translateX(0px); */
  /* width: fit-content; */
  /* @media screen and (width >= 1280px) {
    width: 100%;
    aspect-ratio: 1 / 1;
  } */
}
.product-container__article-list.transition{
  transition: transform 300ms;
}
.product-container__article-list-item {
  /* min-width: 100%; */
  overflow: hidden;
  /* @media screen and (width >= 1280px) { */
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    transition: opacity 100ms;
  /* } */
}
.product-container__article-list-item.active{
  /* @media screen and (width >= 1280px) { */
    opacity: 1;
  /* } */
}
.product-container__article-link {
  /* color: var(--dark-brown); */
  height: auto; /* высота автоматически адаптируется к содержимому */
  display: -webkit-box; /* для поддержки line-clamp */
  -webkit-line-clamp: 2; /* ограничиваем отображение двумя строками */
  -webkit-box-orient: vertical; /* вертикальное направление вывода текста */
  overflow: hidden; /* скрываем всё лишнее */
  text-overflow: ellipsis; /* добавляем многоточие при переполнении */
  min-height: 44px;
}
.product-container__article-price-box {
  display: flex;
  align-items: center;
  justify-content: center;
}
.product-container__article-price {
  padding: 5px;
  border-radius: 5px;
  font-size: 20px;
}
.product-container__shuft {
  display: none;
  position: absolute;
  left: 0;
  padding: 4px;
  background-color: aquamarine;
  /* color: white; */
  font-size: 10px;
  /* font-weight: bold; */
  border-radius: 0 5px 5px 0;
}
.product-container__shuft.active {
  display: unset;
}
.product-container__basket-button{
  display: flex;
  align-items: center;
  margin-left: 20px;
  background-color: var(--pink-lace);
  padding: 10px;
  border-radius: 21px 0 21px 0;
  box-shadow: 0 0 10px rgba(0 0 0 / 20%);
}
.product-container__basket-button.plBtn--active{
  background-color: rgba(34, 139, 34, 0.78);
}
.product-container__basket-button-img{
  width: 17px;
  height: 17px;
}
.product-container__basket-button-text{
  display: none;
  @media screen and (width >= 960px) {
    display: unset;
    margin-left: 10px;  
  }
  
}
.product-container__basket-button.inBasket{
  background-color: lawngreen;
}
.product-container__flowerList{
  width: 100%;
  height: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2px;
}
.product-container__actionContainer{
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 2;
  display: flex;
  justify-content: space-evenly;
}
.product-container__actionElement{
  flex-grow: 1;
}
.product-container__flowerList > img{
  width: 10px;
  height: 10px;
  opacity: 0.1;
}
.product-container__flowerList > img.active{
  opacity: 1;
}
.root-box {
  width: 100%;
  padding: 0 10px;
  @media screen and (width >= 480px) {
    padding: unset;
    width: 440px;
    margin: 25px auto;
  }
  @media screen and (width >= 600px) {
    width: 560px;
  }
  @media screen and (width >= 720px) {
    width: 680px;
  }
  @media screen and (width >= 840px) {
    width: 800px;
  }
  @media screen and (width >= 960px) {
    width: 920px;
  }
  @media screen and (width >= 1080px) {
    width: 1040px;
  }
  @media screen and (width >= 1200px) {
    width: 1160px;
  }
  @media screen and (width >= 1320px) {
    width: 1280px;
  }
  @media screen and (width >= 1440px) {
    width: 1400px;
  }
}
.root-box.root-box--has-not-padding {
  padding: unset;
}
header > .root-box {
  margin: 0 auto;
}

.search-bar{
position: fixed;
top: 0;
right: 0;
bottom: 0;
z-index: 20;
width: 300px;
padding: 10px;
background-color: white;
border-radius:  20px 0 0 20px;
box-shadow: -12px 0px 10px rgba(0 0 0 / 20%);
display: flex;
flex-direction: column;
transform: translateX(320px);
gap: 10px;
    @media screen and (width >= 480px) {
        width: 470px;
        transform: translateX(500px);
    }      
}
.search-bar.transition{
    transition: transform 300ms;
}
.search-bar.open{
    transform: translateX(0px);
}
.search-bar-header{
    font-size: 26px;
    text-align: center;
}
.search-bar-input-container{
    display: flex;
    flex-direction: column;
    gap: 4px
}
.search-bar-input{
    width: 100%;
    height: 40px;
    border-bottom: 1px solid rgba(0 0 0 / 20%)
}
.search-bar-input-label{
    font-size: 12px;
    display: flex;
}
.search-bar-input-label>span{
    display: flex;
    gap: 6px;
    width: 100%;
}
.search-bar-input-label>span::after{
    content: '';
    display: block;
    width: 12px;
    height: 12px;
    background-image: url('/resource/images/undo.svg');
    transform: rotate(90deg);
}
.search-bar-find-list-restrictor{
    flex-grow: 1;
    overflow-y: hidden;
}
.search-bar-find-list{
    --x: '0px';
    transform: translateY(var(--x));
}
.search-bar-find-list.transition{
    transition: transform 300ms;
}
.search-bar-control{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.search-bar-button{
    padding: 10px 80px;
    background-color: var(--pink-lace);
    border-radius: 10px 0px;
}
.search-item{
    display: flex;
    gap: 10px;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 10px;
    border-bottom: 1px solid rgba(0 0 0 / 5%);
    margin-bottom: 10px;
}
.search-item > a{
    width: 55%;
  @media screen and (width >= 480px){
    width: 60%;
  }
}
.search-item > a.not-active{
    pointer-events: none;
}
.search-item > p{
  width: 25%;
  text-align: end;
      @media screen and (width >= 480px){
    width: 20%;
  }
}
.search-item > img{
    max-width: 15%;
    border-radius: 15px 0px;
}
.sort {
  position: fixed;
  bottom: 250px;
  right: 0;
  background-color: white;
  padding: 20px;
  width: 300px;
  border-radius: 20px 0 0 20px;
  box-shadow: 0 0 10px rgba(0 0 0 / 20%);
  transform: translateX(320px);
  transition: transform 300ms;
  z-index: 4;
  @media screen and (width >= 480px) {
    --current-root: var(--480);
    /* position: absolute; */
    /* right: 0; */
    bottom: unset;
    border-radius:0 20px 20px 0;
    left: 0;
    top: 190px;
    transform: translateX(-320px);
  }

}
.sort.active {
  transform: translateX(0px);
}
.sort__header {
  font-size: 20px;
  text-align: center;
}
.sort__list {
  margin-top: 10px;
  cursor: pointer;
}
.sort__list-item {
  padding: 5px 0;
  margin: 5px 0;
}
.sort__list-item:hover{
  color: var(--dark-teal);
}
.closeWindow{
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 3;
}
.top-boucuets{
  overflow: hidden;
}
.top-boucuets-header{
  display: flex;
  align-items: center;
  justify-content: space-between
}
.top-boucuets-control{
  display: flex;
  gap: 6px;
}
.top-boucuets-control.hidden{
  display: none;
}
.top-boucuets-restrictor{
    overflow: hidden;
    padding: 10px 0px;
    @media screen and (width >= 1320px) {
      overflow: unset;
    }
}
.top-boucuets-control-button{
    width: 30px;
    height: 30px;
    border-radius: 15px 0px;
    background-color: var(--dark-teal);
}
.top-boucuets-control-button.not-active{
  pointer-events: none;
  opacity: 0.3;
}
.top-boucuets-control-button.left{
}
.top-boucuets-control-button.right{
}
.top-boucuets-list{
    --x: '0px';
    display: flex;
/*     gap: 10px; */
    width: fit-content;
    transform: translateX(var(--x));
}
.list-transition{
  transition: transform 300ms;
}
.top-boucuets-item{
    min-width: 325px;
    box-shadow: 0px 0px 10px rgba(0 0 0 / 20%);
    border-radius: 30px 0px 30px 0px;
    padding: 10px;
    margin-left: 10px;
    display: flex;
    gap: 10px;
}
.top-boucuets-image-container{
  overflow: hidden;
  width: 100px;
  border-radius: 30px 0px 30px 0px;
}
.top-boucuets-image{
  width: 100%;
}
.top-boucuets-data-container{
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}
.top-boucuets-link.not-active{
  pointer-events: none;
}
.top-boucuets-price-container{
  display: flex;
  /* justify-content: space-around; */
  gap: 15px;
  align-items: center;
}
.top-boucuets-price{

}
.top-boucuets-button{
  background-color: var(--pink-lace);
  padding: 5px 10px;
  border-radius: 10px 0px 10px 0px;
}
.top-boucuets-button.in-basket{
  background-color: rgba(34, 139, 34, 0.78);
}
:root {
  --main-color: black;
  --dark-brown: #3b2e2a;
  --pink-lace: #f4a7a9;
  --dark-teal: #0c7b87;
  --dark-teal-light: #00abbe;
  --footer-background: var(--dark-brown);
  --480: 440px;
  --600: 560px;
  --720: 680px;
  --840: 800px;
  --960: 920px;
  --1080: 1040px;
  --1200: 1160px;
  --1320: 1280px;
  --1440: 1400px;
}

.visorWindowBackDrop{
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    display: flex;
    gap: 12px;
    transition: opacity 300ms;
}
.VWBD--backDrop{
    background-color: rgba(255 255 255 / 98%);
}
.VWBD--unvisible{
    opacity: 0;
}
.visorWindowVisor{
    --width: 0px;
    --height: 0px;
    --top: 0px;
    --left: 0px;
    --needleTop: unset;
    --needleLeft: unset;
    --needleWidth: unset;
    order: 2;
    width: var(--width);
    height: var(--height);
    transform: translateX(var(--left)) translateY(var(--top));
    overflow: hidden;
    border-radius: 30px;
}
.visorWindowVisor.VWV--moveCenter{
    animation-name: VWVMoveCenter;
    animation-duration: 300ms;
    animation-fill-mode: forwards;
}
.VWVList{
    --tfm: 0px;
    display: flex;
    transform: translateX(var(--tfm));
}
.VWVListItems{
    min-width: 100%;
}
.visorWindowMinify{
    --top: unset;
    --left: unset;
    --height: unset;
    order: 1;
    width: 100px;
    height: var(--height);
    transform: translateX(var(--left)) translateY(var(--top));
}
.VWML{
    width: 100%;
}
.VWMLI{
    margin: 10px 0;
    width: 100px;
    height: 100px;
    border-radius: 20% 0 20% 0;
    overflow: hidden;
    opacity: 0.5;
}
.VWMLI:hover{
    opacity: 0.7;
}
.VWMLI.VWMLI--opac{
    opacity: 1;
}
.VWMLII{
    width: 100%;
    height: 0px;
    transition: height 300ms;
}
.VWMLII.VWMLII--visible{
    height: 100%;
}
@keyframes VWVMoveCenter {
    from{
        transform: translateX(var(--left)) translateY(var(--top));
    }
    to{
        transform: translateX(var(--needleLeft)) translateY(var(--needleTop));
        width: var(--needleWidth);
        height: var(--needleWidth);
    }
}
